function timetrial_runFlow()
	cfunction("debugPrintB", "[FLOW] timetrial_runFlow", timetrial_curState)		
	cfunction("debugPrintB", "[FLOW] TrackID", flow_gameModeId)		
	if timetrial_curState == 1 then
		
		cfunction("setDataOptions", "trackId", flow_gameModeId)
		cfunction("setDataOptions", "destructiblesId", 0)
		cfunction("setDataOptions", "weaponPickupId", 0)
		cfunction("setDataOptions", "smePickupId", 0)
		cfunction("setDataOptions", "numberOfOpponents", 1)
		
		cfunction("addAction", "startTrack", 0)
		timetrial_curState =2
	elseif timetrial_curState == 2 then
		timetrial_curState = 1
		cfunction("addAction", "stopTrack", 0)				
		flow_flowStateInMenu = 1
	elseif timetrial_curState == 3 then
		cfunction("addAction", "stopTrack", 0)
		cfunction("addAction", "startTrack", 0)
		timetrial_curState = 2
	end
end


function timetrial_resetFlow()
	timetrial_curState = 1
end
